# gz_orientation

设备旋转插件，支持上下左右四个方向的旋转

1. 设置默认旋转方向
2. 强制设备旋转方向

```shell
// 强制旋转
GzOrientation.forceOrientation(DeviceOrientation.landscapeRight);
// 默认方向
GzOrientation.setPreferredOrientations([DeviceOrientation.portraitUp]);
```
**关于iOS 16旋转**

若想在 iOS 16 上强制旋转生效

1. 在Xcode中，选中General> Targets下的“Requires Full Screen”复选框
2. 请在 AppDelegate 中加入如下代码，允许所有旋转方向

```shell
- (UIInterfaceOrientationMask)application:(UIApplication *)application supportedInterfaceOrientationsForWindow:(UIWindow *)window {
    return UIInterfaceOrientationMaskAll;
}
```
## Getting Started