import 'package:flutter_test/flutter_test.dart';
// import 'package:gz_orientation/gz_orientation.dart';
import 'package:gz_orientation/gz_orientation_platform_interface.dart';
import 'package:gz_orientation/gz_orientation_method_channel.dart';
import 'package:plugin_platform_interface/plugin_platform_interface.dart';

class MockGzOrientationPlatform
    with MockPlatformInterfaceMixin
    implements GzOrientationPlatform {

  @override
  Future<String?> getPlatformVersion() => Future.value('42');
}

void main() {
  final GzOrientationPlatform initialPlatform = GzOrientationPlatform.instance;

  test('$MethodChannelGzOrientation is the default instance', () {
    expect(initialPlatform, isInstanceOf<MethodChannelGzOrientation>());
  });

  test('getPlatformVersion', () async {
    // GzOrientation gzOrientationPlugin = GzOrientation();
    // MockGzOrientationPlatform fakePlatform = MockGzOrientationPlatform();
    // GzOrientationPlatform.instance = fakePlatform;

    // expect(await gzOrientationPlugin.getPlatformVersion(), '42');
  });
}
